AsyncResult Voter ID

Get Voter ID Result

Retrieve the result of an asynchronous voter ID verification request.

curl -X GET "https://production.deepvue.tech/v1/verification/get-voter-id?request_id=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -H "x-api-key: YOUR_API_KEY"
{
  "action": "verify_with_source",
  "completed_at": "2025-01-31T12:21:15+05:30",
  "created_at": "2025-01-31T12:21:14+05:30",
  "group_id": "8e16424a-58fc-4ba4-ab20-5bc8e7c3c41e",
  "request_id": "f84f8dd0-b4fc-4c76-92a1-a852a0a48246",
  "task_id": "1f2627e7-a914-4e48-85f8-f58450e91687",
  "type": "ind_voter_id",
  "status": "completed",
  "result": {
    "source_output": {
      "ac_no": "175",
      "district": "B.B.M.P(SOUTH)",
      "gender": "M",
      "id_number": "UHN152632",
      "name_on_card": "mosd niharika",
      "part_no": "21",
      "ps_name": "NARAYANA B TECNOLOGY SCHOOL 40/1 TP NAGAR 9TH PHASE 24TH MAIN ROAD BOB COLONY ROOM NO -02",
      "rln_name": "KIND MOHUED",
      "section_no": "5",
      "source": "NVSP",
      "st_code": "S10",
      "state": "Karnataka",
      "status": "id_found"
    }
  }
}
GET
/v1/verification/get-voter-id
GET
Bearer Token (JWT)
Bearer Tokenstring
Required

ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .

ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
API Key (header: x-api-key)
x-api-keystring
Required

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .

header
x-api-keystring
Required

API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

Query Parameters

Responses

actionstring
completed_atstring
created_atstring
group_idstring
request_idstring
task_idstring
typestring
statusstring
resultobject

Overview

This API returns the complete result and verification details for a voter ID verification request. It accepts the request_id received from the Create Voter ID Verification endpoint and returns the corresponding verification outcome.

The Async KYC APIs operate asynchronously — they return a request ID upon initiation and use a webhook mechanism to deliver responses back to your servers. You can use this GET endpoint with the request ID to retrieve the verification response at any time.

The response includes the verification status along with extracted voter ID details from government records.